# SalesGet Chatbot

A simple chatbot component to create conversation chats

## Getting Start

```bash
npm install salesgetchatbot --save
```

## Usage

This code was heavily based on Lucas Bassetti's front end code for a chatbot.

There are several examples on the [website](http://lucasbassetti.com.br/react-simple-chatbot). Here is the first one to get you started:

``` javascript
import ChatBot from 'salesgetchatbot';

const steps = [
  {
    id: '0',
    message: 'Welcome to salesget chatbot!',
    trigger: '1',
  },
  {
    id: '1',
    message: 'Bye!',
    end: true,
  },
];

ReactDOM.render(
  <div>
    <ChatBot steps={steps} />
  </div>,
  document.getElementById('root')
);
```

## React Simple Chatbot on midia

1. [webdesignerdepot](https://www.webdesignerdepot.com/2017/08/whats-new-for-designers-august-2017/)
2. [blogduwebdesign](http://www.blogduwebdesign.com/webdesign/ressources-web-du-lundi-aout-164/2507)
3. [codrops](https://tympanus.net/codrops/collective/collective-335/)


## Authors

This front end chatbot code was heavily based on Lucas Basetti's UI for chatbots.

| ![Lucas Bassetti](https://avatars3.githubusercontent.com/u/1014326?v=3&s=150)|
|:---------------------:|
|  [Lucas Bassetti](https://github.com/LucasBassetti/)   |

See also the list of [contributors](https://github.com/LucasBassetti/react-simple-chatbot/contributors) who participated in this project.



## License

MIT · [Lucas Bassetti](http://lucasbassetti.com.br)
